Вопрос Пожалуйста, помогите мне с 32-битными библиотеками для 64-битных


Как я могу решить эту проблему с помощью «Портала»? Я использовал Ubuntu только несколько дней (Ubuntu 14.04).

AppFramework : Unable to load module vguimatsurface.so!
Unable to load interface VGUI_Surface030 from vguimatsurface.so

2
2018-04-21 16:49


происхождения


У меня нет Steam. Я буду загружать игру из торрента. И я нашел исправление для моей проблемы!Go to Settings - Software and Updates - Other Software, click add and write deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse, for next run terminal and say him "sudo apt-get update and sudo apt-get install ia32-libs" - user271751


ответы:


Задний план


Мне удалось решить эту проблему и запустить Counter Strike: Source, установив Ubuntu i386 версии libs упоминается на форуме ArchLinux by buhman,

Решение


Запустите следующую команду в терминале (Ctrl + Alt + T):

sudo apt-get install fontconfig:i386 libgtk2.0-0:i386 libxi6:i386 libnss3:i386 libpango1.0-0:i386 libpng3:i386 libasound2:i386 libcairo2:i386 libsdl2-2.0-0:i386 libsdl2-gfx-1.0-0:i386 libgcrypt11:i386

Надеюсь, поможет.


2
2017-10-05 14:38



Это помогло решить ту же проблему в игре Valve. Жаль, я не могу принять решение (это не мой вопрос). - Adam Ryczkowski
работал над Ubuntu 14.04 - Sachin Singh


В паровой опции просто введите:

optirun -b primus %command% -windowed -nojoy 

0
2018-04-21 16:57



Он даже не сказал, что использует optirun или Steam ... - Daniel Kmak


Вам просто нужно установить ia-32libs. Чтобы сделать это в более поздних версиях Ubuntu, просто введите следующие команды один за другим, и все готово!


sudo -i
cd /etc/apt/sources.list.d
echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
apt-get update
apt-get install ia32-libs



0
2018-05-03 05:25





Как указывают другие ответы, вам нужно ia32-libs,

Для Ubuntu 14.04 есть небольшой трюк, который вам нужно использовать для установки ia32-libs:

sudo -i
cd /etc/apt/sources.list.d
echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" > ia32-libs-raring.list
apt-get update
apt-get install ia32-libs

источник: https://stackoverflow.com/a/23194339/3494126


0
2018-01-14 17:42